---
lang: en
title: 'API docs: rest-crud.crudrestcontrollerctor._new_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontrollerctor._new_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestControllerCtor](./rest-crud.crudrestcontrollerctor.md) &gt; [(new)](./rest-crud.crudrestcontrollerctor._new_.md)

## CrudRestControllerCtor.(new)

<b>Signature:</b>

```typescript
new (repository: EntityCrudRepository<T, IdType, Relations>): CrudRestController<T, IdType, IdName, Relations>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  repository | <code>EntityCrudRepository&lt;T, IdType, Relations&gt;</code> |  |

<b>Returns:</b>

`CrudRestController<T, IdType, IdName, Relations>`


